.eclipse {
    margin-bottom: 270px;
    background-color: #fff;
    margin-top: 250px;
    width: 100%;
    background-image: url('/src/assets/img/types-bg.jpg');
    background-position: left;
    background-repeat: no-repeat;
    
    @media (max-width: 1201px) {
        background-image: none;
        margin-bottom: 100px;
    }

    @media (max-width: 541px) {
        padding-top: 0;
        margin-bottom: 0;
        margin-top: 0;
    }

    &__wrapper {
        display: flex;
        justify-content: space-between;
    }

    &__form-container {
        width: 40%;

        @media (max-width: 1201px) {
            width: 80%;
            margin: 0 auto;
        }

        @media (max-width: 541px) {
            display: none;
        }
    }

    &__form {
        background-color: $primary-bg;
        padding-left: 50px;
        padding-right: 50px;
        padding-bottom: 30px;
        padding-top: 29px;
        width: 100%;
    }

    &__form-title {
        font-family: 'FuturalDemiC';
        font-size: 20px;
        line-height: 25px;
        text-align: center;
        color: $primary-color-text;
    }

    &__form-input-group {
        width: 80%;
        display: flex;
        flex-direction: column;
    }

    &__button {
        display: flex;
        justify-content: flex-end;
        margin-top: 25px;
    }

    &__piggy-bank {
        display: flex;
        margin: 0 auto;
        margin-top: 50px;
        width: 87%;
        align-items: center;
    }

    &__piggy-bank-icon {

    }

    &__piggy-bank-text {
        font-family: 'FuturalDemiC';
        font-size: 20px;
        line-height: 25px;
        color: $primary-color-text-extra;
        text-shadow: 0px 3px 10px rgba(227, 184, 115, 0.15);
        position: relative;
        padding-left: 100px;
        
        &::before {
            position: absolute;
            content: '';
            background-image: url(/src/assets/svg/pig-bank.svg);
            width: 100%;
            background-position: center;
            background-repeat: no-repeat;
            height: 100px;
            left: -40%;
            top: -20%;
        }
    }
}
  
.circle { 
    display: flex;

    @media (max-width: 1201px) {
        display: none;
    }

    &__wrapper {    position: relative;
        display: flex;
        color: $primary-color-text; 
        z-index: 999;
        border: 1px $primary-color-text-extra solid;
        background-color: $primary-color-text-extra;
        width: 42px;
        height: 42px;
        border-radius: 50%;
        align-items: center;
        margin-bottom: 30px;
        transform: translateX(23px);
    }

    &__number {
        margin: 0 auto;
    }

    &__desc {

        &--last {
            &::after {
                display: none;
            }
        }
        padding: 0 20px 100px 60px;
        position: relative;
        color: $color-text-second-extra;
        max-width: 200px;

        &::after {
            content: "";
            position: absolute;
            z-index: 1;
            left: 0;
            top: 0;
            height: 100%;
            border-left: 4px $primary-color-text-extra solid;
        }   
    }


}
